# -*- coding: utf8 -*-
from __future__ import unicode_literals

import copy
import datetime

parser_class = "vmlink"


def test_encode_result(self):
    worklist = copy.deepcopy(self.order_worklist)
    worklist.samples[0]["results"] = [
        {
            "code": "GLY",
            "value": "3.21",
            "date": datetime.datetime(2019, 2, 4, 15, 24, 42),
            "instrument": "ARCHI_1",
        },
        {
            "code": "NA",
            "value": "1.2",
            "date": datetime.datetime(2019, 2, 4, 15, 24, 42),
            "instrument": "ARCHI_2",
        },
        {
            "code": "NA",
            "value": "2.3",
            "date": datetime.datetime(2019, 2, 4, 15, 24, 42),
            "instrument": "AU 640",
        },
        {
            "code": "CL",
            "value": "7.2",
            "date": datetime.datetime(2019, 2, 4, 15, 24, 42),
            "instrument": "ARCHI_2",
        },
    ]
    worklist.samples[0].specimen = "S"
    message = self.order(worklist=worklist)
    expected = """
    ARCHI_1;GLY;123456;3.21;20190204152442;;;20
    ARCHI_2;NA;123456;1.2;20190204152442;;;20
    AU 640;NA;123456;2.3;20190204152442;;;20
    ARCHI_2;CL;123456;7.2;20190204152442;;;20
    """
    assert message == expected
